<div class="gallery" role="group">
  {{ range .images }}
    {{ if .id }}
      {{- $image := partial "osuny/GetMedia" .id -}}
      {{- if $image -}}
        {{- $url := $image.url -}}
        {{- if site.Params.keycdn -}}
          {{- $url = $image.direct_url -}}
        {{- end -}}
        {{- $default := "1280x2560" -}}
        <figure>
          <a class="glightbox"
            data-glightbox="type: image;{{ if .credit }}description: {{ partial "osuny/PrepareHTML" .credit }}{{ end }}"
            href="{{ partial "osuny/GetImageUrl" (dict "url" $url "size" $default ) }}">
            {{ partial "osuny/commons/image.html"
              (dict
                "image"    .file
                "alt"      .alt
                "mobile"   "320"
                "tablet"   "720"
                "desktop"  "960"
              )}}
          </a>
          <figcaption>
            {{ if .text }}
              <p class="figcaption__text">{{ partial "osuny/PrepareHTML" .text }}</p>
            {{ end }}
          </figcaption>
        </figure>
      {{- end -}}
    {{ end }}
  {{ end }}
</div>
